Package com.mckoi.util

## Class ByteBuffer

- java.lang.Object
- - com.mckoi.util.ByteBuffer

    public final class ByteBuffer
    extends java.lang.Object

A wrapper for an array of byte[]. This provides various functions for altering the state of the buffer.

Author:
  Tobias Downer

### Constructor Summary

Constructors
`ByteBuffer​(byte[] buf)`
`ByteBuffer​(byte[] buf, int offset, int length)` Constructs the buffer.

### Method Summary

All Methods Instance Methods Concrete Methods
`ByteBuffer` `get​(byte[] b, int offset, int length)` Gets a byte array from the buffer.
`byte` `getByte()`
`int` `getInt()`
`short` `getShort()`
`int` `limit()` Returns the limit of this buffer.
`int` `position()` Returns the current position.
`void` `position​(int position)` Sets the position in to the buffer.
`ByteBuffer` `put​(byte[] b)`
`ByteBuffer` `put​(byte[] b, int offset, int length)` Puts a byte array into the buffer.
`ByteBuffer` `put​(ByteBuffer buffer)` Puts a ByteBuffer in to this buffer.
`ByteBuffer` `putByte​(byte v)` Puts/Gets a byte into the buffer at the current position.
`ByteBuffer` `putInt​(int v)` Puts/Gets an integer into the buffer at the current position.
`ByteBuffer` `putShort​(short v)` Puts/Gets a short into the buffer at the current position.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ByteBuffer

    public ByteBuffer​(byte[] buf,
                      int offset,
                      int length)

Constructs the buffer.

#### ByteBuffer

    public ByteBuffer​(byte[] buf)

### Method Detail

#### position

    public void position​(int position)

Sets the position in to the buffer.

#### position

    public int position()

Returns the current position.

#### limit

    public int limit()

Returns the limit of this buffer.

#### put

    public ByteBuffer put​(byte[] b,
                          int offset,
                          int length)

Puts a byte array into the buffer.

#### put

    public ByteBuffer put​(byte[] b)

#### put

    public ByteBuffer put​(ByteBuffer buffer)

Puts a ByteBuffer in to this buffer.

#### get

    public ByteBuffer get​(byte[] b,
                          int offset,
                          int length)

Gets a byte array from the buffer.

#### putInt

    public ByteBuffer putInt​(int v)

Puts/Gets an integer into the buffer at the current position.

#### getInt

    public int getInt()

#### putByte

    public ByteBuffer putByte​(byte v)

Puts/Gets a byte into the buffer at the current position.

#### getByte

    public byte getByte()

#### putShort

    public ByteBuffer putShort​(short v)

Puts/Gets a short into the buffer at the current position.

#### getShort

    public short getShort()